Nirjonadda

Well-Known Member
May 8, 2013
743
28
78
cPanel Access Level
Root Administrator
I'm unable to install httpd-devel using : yum install httpd-devel


Code:
[[email protected] ~]# yum install httpd-devel
Loaded plugins: fastestmirror, tsflags, universal-hooks
Loading mirror speeds from cached hostfile
 * EA4: 91.197.228.252
 * EA4-experimental: 91.197.228.252
 * base: mirrors.coreix.net
 * epel: mirror.cs.princeton.edu
 * extras: mirrors.coreix.net
 * updates: mirrors.coreix.net
No package httpd-devel available.
Error: Nothing to do
[[email protected] ~]#
 

JacobPerkins

Well-Known Member
May 2, 2014
617
97
103
cPanel Access Level
DataCenter Provider
Twitter
You can't install httpd* anything from upstream repositories, as EasyApache 4 will conflict with them.

You can install ea-apache24-devel to get the same scripts and binaries that are in httpd-devel
 

Nirjonadda

Well-Known Member
May 8, 2013
743
28
78
cPanel Access Level
Root Administrator
You can't install httpd* anything from upstream repositories, as EasyApache 4 will conflict with them.

You can install ea-apache24-devel to get the same scripts and binaries that are in httpd-devel
How to install ea-apache24-devel ? How i can check if its already installed ?
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,220
463
How to install ea-apache24-devel ? How i can check if its already installed ?
Hello,

You can install the package using the following command:

Code:
yum install ea-apache24-devel
Thank you.
 

Fabrizio

Registered
Aug 30, 2017
2
0
1
Portugal
cPanel Access Level
Root Administrator
Code:
[[email protected] ~]# yum clean all
Complementos cargados:fastestmirror, priorities, universal-hooks
Limpiando repositorios: EA4 cpanel-addons-production-feed base cpanel-plugins epel extras updates
Cleaning up everything
Cleaning up list of fastest mirrors
[[email protected] ~]# yum update
Complementos cargados:fastestmirror, priorities, universal-hooks
EA4                                                                                                                                                         | 3.0 kB  00:00:00
cpanel-addons-production-feed                                                                                                                               | 2.9 kB  00:00:00
base                                                                                                                                                        | 3.6 kB  00:00:00
cpanel-plugins                                                                                                                                              | 2.9 kB  00:00:00
epel/x86_64/metalink                                                                                                                                        | 3.0 kB  00:00:00
epel                                                                                                                                                        | 4.3 kB  00:00:00
extras                                                                                                                                                      | 3.4 kB  00:00:00
updates                                                                                                                                                     | 3.4 kB  00:00:00
(1/10): cpanel-addons-production-feed/7/x86_64/primary_db                                                                                                   | 8.8 kB  00:00:00
(2/10): cpanel-plugins/primary_db                                                                                                                           |  38 kB  00:00:00
(3/10): base/7/x86_64/group_gz                                                                                                                              | 155 kB  00:00:03
(4/10): EA4/7/x86_64/primary_db                                                                                                                             |  16 MB  00:00:04
(5/10): base/7/x86_64/primary_db                                                                                                                            | 5.6 MB  00:00:05
(6/10): epel/x86_64/updateinfo                                                                                                                              | 817 kB  00:00:09
(7/10): epel/x86_64/group_gz                                                                                                                                | 170 kB  00:00:10
(8/10): extras/7/x86_64/primary_db                                                                                                                          | 191 kB  00:00:02
(9/10): epel/x86_64/primary_db                                                                                                                              | 4.8 MB  00:00:03
(10/10): updates/7/x86_64/primary_db                                                                                                                        | 7.8 MB  00:00:05
Determining fastest mirrors
 * EA4: 72.29.88.74
 * cpanel-addons-production-feed: 72.29.88.74
 * base: mirror.us.leaseweb.net
 * epel: mirror.cedia.org.ec
 * extras: mirror.us.leaseweb.net
 * updates: mirror.us.leaseweb.net
No packages marked for update
[[email protected] ~]# yum install ea-apache24-devel
Complementos cargados:fastestmirror, priorities, universal-hooks
Loading mirror speeds from cached hostfile
 * EA4: 72.29.88.74
 * cpanel-addons-production-feed: 72.29.88.74
 * base: mirror.us.leaseweb.net
 * epel: mirror.cedia.org.ec
 * extras: mirror.us.leaseweb.net
 * updates: mirror.us.leaseweb.net
Resolviendo dependencias
--> Ejecutando prueba de transacción
---> Paquete ea-apache24-devel.x86_64 0:2.4.27-5.5.2.cpanel debe ser instalado
--> Procesando dependencias: ea-apr-util-devel para el paquete: ea-apache24-devel-2.4.27-5.5.2.cpanel.x86_64
--> Ejecutando prueba de transacción
---> Paquete ea-apr-util-devel.x86_64 0:1.5.2-13.13.8.cpanel debe ser instalado
--> Procesando dependencias: ea-apr-util(x86-64) = 1.5.2-13.13.8.cpanel para el paquete: ea-apr-util-devel-1.5.2-13.13.8.cpanel.x86_64
--> Resolución de dependencias finalizada
Error: Paquete: ea-apr-util-devel-1.5.2-13.13.8.cpanel.x86_64 (EA4)
           Necesita: ea-apr-util(x86-64) = 1.5.2-13.13.8.cpanel
           Instalado: ea-apr-util-1.5.2-13.13.11.cpanel.x86_64 (@EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.11.cpanel
           Disponible: ea-apr-util-1.5.2-10.5.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-10.5
           Disponible: ea-apr-util-1.5.2-10.6.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-10.6
           Disponible: ea-apr-util-1.5.2-10.7.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-10.7
           Disponible: ea-apr-util-1.5.2-10.8.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-10.8
           Disponible: ea-apr-util-1.5.2-10.9.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-10.9
           Disponible: ea-apr-util-1.5.2-11.11.1.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-11.11.1
           Disponible: ea-apr-util-1.5.2-11.11.1.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-11.11.1.cpanel
           Disponible: ea-apr-util-1.5.2-11.11.2.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-11.11.2.cpanel
           Disponible: ea-apr-util-1.5.2-12.12.1.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-12.12.1.cpanel
           Disponible: ea-apr-util-1.5.2-13.13.1.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.1.cpanel
           Disponible: ea-apr-util-1.5.2-13.13.2.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.2.cpanel
           Disponible: ea-apr-util-1.5.2-13.13.3.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.3.cpanel
           Disponible: ea-apr-util-1.5.2-13.13.4.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.4.cpanel
           Disponible: ea-apr-util-1.5.2-13.13.5.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.5.cpanel
           Disponible: ea-apr-util-1.5.2-13.13.6.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.6.cpanel
           Disponible: ea-apr-util-1.5.2-13.13.7.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.7.cpanel
           Disponible: ea-apr-util-1.5.2-13.13.8.cpanel.x86_64 (EA4)
               ea-apr-util(x86-64) = 1.5.2-13.13.8.cpanel
 Podría intentar utilizar el comando --skip-broken para sortear el problema
Podría intentar ejecutar: rpm- Va --nofiles --nodigest
[[email protected] ~]# yum install ea-apache24-devel --skip-broken
Complementos cargados:fastestmirror, priorities, universal-hooks
Loading mirror speeds from cached hostfile
 * EA4: 72.29.88.74
 * cpanel-addons-production-feed: 72.29.88.74
 * base: mirror.us.leaseweb.net
 * epel: mirror.cedia.org.ec
 * extras: mirror.us.leaseweb.net
 * updates: mirror.us.leaseweb.net
Resolviendo dependencias
--> Ejecutando prueba de transacción
---> Paquete ea-apache24-devel.x86_64 0:2.4.27-5.5.2.cpanel debe ser instalado
--> Procesando dependencias: ea-apr-util-devel para el paquete: ea-apache24-devel-2.4.27-5.5.2.cpanel.x86_64
--> Ejecutando prueba de transacción
---> Paquete ea-apr-util-devel.x86_64 0:1.5.2-13.13.8.cpanel debe ser instalado
--> Procesando dependencias: ea-apr-util(x86-64) = 1.5.2-13.13.8.cpanel para el paquete: ea-apr-util-devel-1.5.2-13.13.8.cpanel.x86_64
EA4/7/x86_64/filelists_db                                                                                                                                   |  17 MB  00:00:03

Paquetes ignorados por problemas de dependencias:
    ea-apache24-devel-2.4.27-5.5.2.cpanel.x86_64 de EA4
    ea-apr-util-devel-1.5.2-13.13.8.cpanel.x86_64 de EA4
I'm having this problem when I try to install apache dev, someone can help me?
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,220
463
I'm having this problem when I try to install apache dev, someone can help me?
Hello,

Could you open a support ticket using the link in my signature so we can take a closer look?

Thank you.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,220
463
Paquetes ignorados por problemas de dependencias: ea-apache24-devel-2.4.27-5.5.2.cpanel.x86_64 de EA4 ea-apr-util-devel-1.5.2-13.13.8.cpanel.x86_64 de EA4
Then create a support ticket from whm, thank you very much for your help. FB
Hello,

To update, this particular issue was related to an internal case from July 2017 (CPANEL-14782) where EasyApache 4 RPMS that were still in the testing phase were accidentally merged with the production repositories. This resulted in an advanced release of the ea-apr-util RPM on the affected server. Once the case was fixed and the updated RPMs were removed from the production repository, it resulted in dependency error messages since those packages were no longer available. To correct the issue, the ea-apr-util RPM was downgraded via the following command:

Code:
yum downgrade ea-apr-util
This allowed for the installation of ea-apache24-devel RPM on the system with the following command:

Code:
yum install ea-apache24-devel
Thank you.